/*
 *  $Id: ports.h,v 1.1.1.1 1998/01/11 00:00:37 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of KCemu, the KC 85/4 Emulator.
 */

#ifndef __kc_ports_h
#define __kc_ports_h

#include "kc/kc.h"

const int NR_PORTS = 256;

class Ports
{
    byte_t inout[NR_PORTS];
  protected:
    void change_0x84(byte_t changed, byte_t val);
    void change_0x86(byte_t changed, byte_t val);
    void change_0x88(byte_t changed, byte_t val);
  public:
    Ports(void);
    byte_t in(word_t addr);
    void out(word_t addr, byte_t val);
};

#endif /* __kc_ports_h */
