/*
 *  $Id: ui.h,v 1.1.1.1 1998/01/11 00:00:37 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of KCemu, the KC 85/4 Emulator.
 */

#ifndef __ui_ui_h
#define __ui_ui_h

class UI
{
  private:
    const char WINDOW_NAME[] = "KC 85/4 Emulator";
    const char ICON_NAME[]   = "KC 85/4";

  public:
    UI(void) {}
    virtual ~UI(void) {}
    virtual void processEvents(void)              = 0;
    virtual void update(bool force_update)        = 0;
    virtual void putPixel(int x, int y, char val) = 0;
    virtual void putColor(int x, int y, char val) = 0;
};

#endif /* __ui_ui_h */
